Textbox justification

Valued Contributor
Valued Contributor

 

I am placing a textbox at certain point using SolidEdgeFrameworkSupport.TextBoxes.Add() ... at the end of a reference line. However, the text shows up starting at that point and continues to the right. (Left Justification).

Is there a way to have the text right justified so that it ends at the point I've given it instead of starting at that point?

 

 

 

Posted by: John Pataki
Post date: 2/23/2009 8:49:52 AM

1 REPLY

RE: Textbox justification

Valued Contributor
Valued Contributor

 

Ok.. I had missed the attribute in the object browser... found my own answer... replying to my own question for anyone else who may want to know

 

SolidEdgeFrameworkSupport.TextBox.Justification()

and requires one of the SolidEdgeFrameworkSupport.TextJustificationConstants

igTextJustifyLeft

igTextJustifyRight

igTextJustifyCenter

igTextJustifyBase

igTextJustifyCap

igTextJustifyBottom

igTextJustifyVCenter

igTextJustifyTop

 

so my solution:

Dim SETxtBox As SolidEdgeFrameworkSupport.TextBox = SETxtBoxes.Add(label_x, label_y, 0)

SETxtBox.Justification = SolidEdgeFrameworkSupport.TextJustificationConstants.igTextJustifyRight

 

Posted by: John Pataki
Post date: 2/23/2009 9:19:37 AM